NETIcon Struct Reference

`#include <netwm_def.h>`

## Public Member Functions

| NETIcon ()

## Public Attributes

NETSize | size
unsigned char * | data

## Detailed Description

Simple icon class for NET classes.

This class is a convenience class defining an icon of size width by height. The existence of this class is to keep the implementation from being dependant on a separate framework/library.

NETIcon is only used by the NET API. Usually QIcon is the appropriate class for representing an icon.

Definition at line 122 of file netwm_def.h.

## Constructor & Destructor Documentation

NETIcon::NETIcon | ( |  | ) |

inline

Constructor to initialize this icon to 0x0 with data=0.

Definition at line 126 of file netwm_def.h.

## Member Data Documentation

unsigned char* NETIcon::data

Image data for the icon.

This is an array of 32bit packed CARDINAL ARGB with high byte being A, low byte being B. First two bytes are width, height. Data is in rows, left to right and top to bottom.

Definition at line 140 of file netwm_def.h.

NETSize NETIcon::size

Size of the icon.

See also
  NETSize

Definition at line 133 of file netwm_def.h.

The documentation for this struct was generated from the following file:

- netwm_def.h

KDE Home | KDE Accessibility Home | Description of Access Keys